## funnel

funnel — N-to-1 pipe fitting

## Synopsis

    struct              GstFunnel;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstFunnel

## Description

Takes packets from various input sinks into one output source.

funnel always outputs a single, open ended segment from 0 with in `GST_FORMAT_TIME` and outputs the buffers of the different sinkpads with timestamps that are set to the running time for that stream. funnel does not synchronize the different input streams but simply forwards all buffers immediately when they arrive.

## Synopsis

### Element Information

plugin | coreelements
author | Olivier Crete <olivier.crete@collabora.co.uk>
class | Generic

### Element Pads

name | sink%d
direction | sink
presence | request
details | ANY

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstFunnel

    struct GstFunnel;

Opaque GstFunnel data structure.